
Application: gvSIG desktop - gvSIG bugs #452
editing, array does not work / no funciona edicion, matriz
03/20/2012 11:20 PM - Mario Fevre

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category:
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2045 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

EN.
Array comands ussualy does not do a thing.
if you try to array a circle: error log attached

ES.
El comando array por lo general no hace nada.
si intentás con un círculo: log de error adjunto.

History
#1 - 04/06/2012 07:53 PM - Manuel Madrid
- Priority changed from Normal to High

#2 - 09/25/2012 11:56 AM - María Maluenda
- Target version set to 2.0.0-rc1

I tested this ticket in Linux, gvSIG build 2053 and not works.

#3 - 10/10/2012 11:06 AM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#4 - 10/10/2012 04:00 PM - Juan Lucas Domínguez
- File bcn.zip added
- Status changed from New to Fixed

gvsig-desktop:r39055

Added missing part (actually inserting features) and fixed deprecated use of getBounds2D().

Test:

- Create a view and add the SHP file found in the attached file bcn.zip (do not perform any zoom or pan)
- Start editing mode, hide the console, and select the two circles below (do not perform any zoom or pan)
- Go to the matrix tool and use this parameters:

rows: 3, columns: 3
disp_rows: 400
disp_columns: 400
Rotation: 10

Click Accept and you should see 8 new pairs like the one you selected and slightly rotated (10 degrees)

(If Mario Fevre  is reading this, perhaps he can try his circle too, but let's not wait for him)

#5 - 11/13/2012 09:57 AM - Abenchara Socorro
- Status changed from Fixed to Closed

I have followed the steps in build 2057 and matrix works

Files
circlearray.log 126 KB 03/20/2012 Mario Fevre
bcn.zip 1.14 KB 10/10/2012 Juan Lucas Domínguez
